using System;

internal sealed class Delegate577 : MulticastDelegate
{
	public extern void Invoke(object object_0, bool bool_0);

	public static void smethod_0(object object_0, bool bool_0, Delegate577 delegate577_1)
	{
		delegate577_1(object_0, bool_0);
	}

	public extern Delegate577(object object_0, IntPtr intptr_0);

	static Delegate577()
	{
		Class10.smethod_13(typeof(Delegate577).TypeHandle);
	}

	internal static Delegate577 delegate577_0;
}
